<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Promo.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Message.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Messagedesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Client.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Message.class.php");


class Autopromo extends PluginsClassiques{


		function Autopromo(){
			$this->PluginsClassiques();	
		}


		function init(){
			$message = new Message();
			if($message->charger("genpromo")) return;
			$message->nom = "genpromo";
			$lastid = $message->add();
			
			$messagedesc = new Messagedesc();
			$messagedesc->message = $lastid;
			$messagedesc->lang = 1;
			$messagedesc->titre = "Code promo";
			$messagedesc->chapo = "";
			$messagedesc->description = "Merci d'avoir command sur notre site Internet.\nAfin de vous remercier, nous vous offrons __VALEUR__ __TYPE__ de remise sur votre prochaine commande.\nIl vous suffira d'utiliser le code promo __REF__";
			$messagedesc->add();
			
		}

		function destroy(){
		
		}		

		function statut($commande){
			
			include_once(realpath(dirname(__FILE__)) . "/config.php");
			
			if($commande->statut == 2){
				$promo = new Promo();
				$promo->code = $commande->ref;
				$promo->type = $type;
				$promo->valeur = $valeur;
				$promo->add();
				
				$client = new Client();
				$client->charger_id($commande->client);
				
				$message = new Message();
				$message->charger("genpromo");
				
				$messagedesc = new Messagedesc();
				$messagedesc->charger($message->id);
				
				$texte = "";
				$texte =  str_replace("__REF__", $commande->ref, $messagedesc->description);
				$texte =  str_replace("__VALEUR__", $valeur, $texte);
				if($type == 1)
					$texte =  str_replace("__TYPE__", "euros", $texte);
				else
						$texte =  str_replace("__TYPE__", "%", $texte);

				mail($client->email, $messagedesc->titre, $texte);
			
			}
				
		}
		
		function confirmation($commande){
			$this->statut($commande);			
		}
		
		
	}


?>
